namespace Silk_Road_Api.Repositories;

public interface IRepository
{
    public Task AddAsync<T>(T entity);
    public void Update<T>(T entity) where T : class;
    public void UpdateRange<T>(List<T> entities) where T : class;
    public Task<bool> SaveChangesAsync();
    Task<T> GetAsync<T>(params object[] ids) where T : class;
    IQueryable<T> AsQueryable<T>() where T : class;
    public void Delete<T>(T entity) where T : class;
}
